1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Brand new psp

Discussion in 'Sony PSP - Mod and firmware discussion' started by Desified, Jan 13, 2007.

  1. Desified

    Desified Member

    Joined:
    Apr 26, 2005
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    16
    i just bought new psp with 2.60 firmware.. bundle with tekken i have to upgrade it to 2.72 to play that but i want to play homebrew so was wondering which one should i use? devhook .051? can that play psx games? as i got loads psx game would like to rip it and play it on the tube! thanks for your time :D
     
  2. Rickrula2

    Rickrula2 Member

    Joined:
    Jan 8, 2007
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    16
    You can only play psx games with 3.03 and higher firmware.
     
  3. Desified

    Desified Member

    Joined:
    Apr 26, 2005
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    16
    so i update my firmware to 3.01 then what do i go from there?
     
  4. bryceee

    bryceee Guest

    Don't officially update it to 3.03 though, then you won't be able to do it with your own PSX games.. use a custom 3.03 FW
     
  5. Rickrula2

    Rickrula2 Member

    Joined:
    Jan 8, 2007
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    16
    Search the forums for 3.03OE-A upgrade. Then upgrade to the 2nd version of 3.03OE-A.
     
  6. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    Then to 3.03 OE-B to fix some bugs from oe-a and oe-a'
     
    Last edited: Jan 13, 2007
  7. Rickrula2

    Rickrula2 Member

    Joined:
    Jan 8, 2007
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    16
    What bugs are there in 3.03OE-A'?
     
  8. Desified

    Desified Member

    Joined:
    Apr 26, 2005
    Messages:
    36
    Likes Received:
    0
    Trophy Points:
    16
    ok should i upgrade to 2.72 because of my tekken game i got with it , only works with 2.72 then i use downgrader to 1.50 then upgrade to 3.03OE-A + 3.03OE-B .. am i on right track?
     
  9. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46

Share This Page